Skip to main content

Tenant Admin

2 API calls in this section.

List Tenant Carriers

External & Carrier Integrations / Tenant Admin
GET/carriers/tenant

GET /carriers/tenant — List globally active carriers with this tenant's config

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/carriers/tenant" \2  --header "Authorization: Bearer {{access_token}}"

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

No response example is available for this endpoint yet.

Update Tenant Carrier

External & Carrier Integrations / Tenant Admin
PATCH/carriers/tenant/PRIME

PATCH /carriers/tenant/:code — Upsert tenant config for a carrier. When enabling PRIME, response includes webhook.url and webhook.secret (to provide to Prime).

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request PATCH "$ONDI_BASE_URL/carriers/tenant/PRIME" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "Content-Type: application/json" \4  --header "Content-Type: application/json" \5  --data '{6  "is_enabled": true,7  "prefer_internal": false,8  "default_price": 4.5,9  "credentials": {10    "login_id": "{{prime_login_id}}",11    "password": "{{prime_password}}",12    "initial_token": "{{prime_initial_token}}"13  }14}'
Request body
json
1{2  "is_enabled": true,3  "prefer_internal": false,4  "default_price": 4.5,5  "credentials": {6    "login_id": "{{prime_login_id}}",7    "password": "{{prime_password}}",8    "initial_token": "{{prime_initial_token}}"9  }10}

Request body fields

is_enabledExample
boolean

Example field from the request body.

prefer_internalExample
boolean

Example field from the request body.

default_priceExample
number

Example field from the request body.

credentialsExample
object

Example field from the request body.

credentials.login_idExample
string

Example field from the request body.

credentials.passwordExample
string

Example field from the request body.

credentials.initial_tokenExample
string

Example field from the request body.

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Content-TypeOptional
header string

application/json

Responses

No response example is available for this endpoint yet.